package roseindia.net;

import java.awt.List;
import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class RequestAttributeExample extends HttpServlet {
	public void doGet(HttpServletRequest request, HttpServletResponse response)
			throws IOException, ServletException {
		PrintWriter out = response.getWriter();
		response.setContentType("text/html");
		// getting Request parameters
		String name = request.getParameter("userName");
		String password = request.getParameter("password");
		// Getting Request Info Path
		request.setAttribute("loggedUserName", name);
		request.setAttribute("loggedUserPassword", password);
		request.setAttribute("requestURI", request.getRequestURL());
		// forwarding Request
		ServletContext context = getServletContext();
		RequestDispatcher requestDispatcher = context
				.getRequestDispatcher("/display");
		requestDispatcher.forward(request, response);
	}

	public void doPost(HttpServletRequest request, HttpServletResponse response)
			throws IOException, ServletException {
		doGet(request, response);
	}
}